import 'package:flutter/material.dart';

class RequestSentScreen extends StatelessWidget {
  const RequestSentScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
        child: Scaffold(
            appBar: AppBar(
                backgroundColor: Colors.white,
                leading: IconButton(
                  icon: Icon(Icons.arrow_back),
                  onPressed: () {
                    Navigator.pushReplacementNamed(context, '/welcome');
                  },
                ),
                iconTheme: IconThemeData(
                  color: Colors.black,
                ),
                title: Text(
                  'Solicitud enviada',
                  style: TextStyle(
                    color: Colors.black,
                  ),
                )),
            body: Center(
              child: Column(
                children: [
                  Padding(
                    padding: const EdgeInsets.only(top: 90, bottom: 40),
                    child: Icon(
                      Icons.check_circle_outline,
                      size: 50,
                      color: Color(0xFF35A8ED),
                    ),
                  ),
                  Padding(
                    padding: const EdgeInsets.only(bottom: 350),
                    child: Text('Información enviada con éxito.',
                        style:
                            TextStyle(color: Color(0xFF2BA4EC), fontSize: 20)),
                  ),
                  ElevatedButton(
                    onPressed: () {
                      Navigator.pushReplacementNamed(context, '/welcome');
                    },
                    child: Text(
                      'Inicio',
                      style: TextStyle(
                        color: Colors.white,
                        fontWeight: FontWeight.bold,
                        fontSize: 18,
                      ),
                    ),
                    style: ElevatedButton.styleFrom(
                      backgroundColor: const Color(0xFF2BA4EC),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(50),
                      ),
                      elevation: 0,
                      minimumSize: Size(200, 60),
                    ),
                  )
                ],
              ),
            )));
  }
}
